- Qt 6.7
- Qt 3D
- QML Types
- Qt3D.Core
- CoreSettings
- Qt 6.7.2 Reference Documentation

# CoreSettings QML Type

The CoreSettings class holds settings related to core data handling process. More...

Import Statement: | import Qt3D.Core 2.7
Since: | Qt 6.0

- List of all members, including inherited members

## Properties

- boundingVolumesEnabled : bool

## Detailed Description

The CoreSettings component should be set as a component of the scene root entity (although it could be anywhere in the scene graph). There should be a single instance.

It can be used to control some of Qt 3D's behavior.

## Property Documentation

boundingVolumesEnabled : bool

Holds whether bounding volumes handling is enabled. This is true by default. Disabling this allows to reduce the amount of computations performed each frame. If you are using picking or frustum culling you should keep this enabled (even when providing explicit bounding volumes sizes using BoundingVolume).